/*
 * Copyright 2000-2012 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.openapi.editor.ex;

/**
 * Defines a contract for the callbacks for soft wraps management notifications (addition/removal).
 *
 * @author Denis Zhdanov
 */
public interface SoftWrapChangeListener {

  /**
   * This method is called if soft wraps have been added or removed during recalculation.
   */
  void softWrapsChanged();

  /**
   * Is called when soft wraps recalculation is finished.
   */
  void recalculationEnds();
}
